upgrade to 1.1.2 ?

Printable View